mina-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Ewout Van Gossum (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (SSHD-735) How to build javadoc for older versions
Date Tue, 28 Mar 2017 15:10:42 GMT

     [ https://issues.apache.org/jira/browse/SSHD-735?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Ewout Van Gossum updated SSHD-735:
----------------------------------
    Description: 
Hello,

I am working on a Java 6 project that requires an SFTP connection. To my delight the SSHD-CORE
library would serve me nicely.

There is only one issue, the latest version requires java 8. As far as I can see release 0.14.0
is the latest version compatible with java 6. The API of this version is drastically different
from the current version (which makes sense).

I couldn't find any hosted javadoc of this older version, and attempted to build a javadoc
from the source, but this was not successful. How can I create an up to date javadoc of the
0.14.0 version?

Kind regards,

Ewout.

EDIT: I figured out how to generate the javadoc using my IDE, but I will leave this issue
here as I still find the documentation of older versions lacking. Is the documentation thrown
away?

  was:
Hello,

I am working on a Java 6 project that requires an SFTP connection. To my delight the SSHD-CORE
library would serve me nicely.

There is only one issue, the latest version requires java 8. As far as I can see release 0.14.0
is the latest version compatible with java 6. The API of this version is drastically different
from the current version (which makes sense).

I couldn't find any hosted javadoc of this older version, and attempted to build a javadoc
from the source, but this was not successful. How can I create an up to date javadoc of the
0.14.0 version?

Kind regards,

Ewout.


> How to build javadoc for older versions
> ---------------------------------------
>
>                 Key: SSHD-735
>                 URL: https://issues.apache.org/jira/browse/SSHD-735
>             Project: MINA SSHD
>          Issue Type: Question
>            Reporter: Ewout Van Gossum
>
> Hello,
> I am working on a Java 6 project that requires an SFTP connection. To my delight the
SSHD-CORE library would serve me nicely.
> There is only one issue, the latest version requires java 8. As far as I can see release
0.14.0 is the latest version compatible with java 6. The API of this version is drastically
different from the current version (which makes sense).
> I couldn't find any hosted javadoc of this older version, and attempted to build a javadoc
from the source, but this was not successful. How can I create an up to date javadoc of the
0.14.0 version?
> Kind regards,
> Ewout.
> EDIT: I figured out how to generate the javadoc using my IDE, but I will leave this issue
here as I still find the documentation of older versions lacking. Is the documentation thrown
away?



--
This message was sent by Atlassian JIRA
(v6.3.15#6346)

Mime
View raw message